[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TCustomDBComboBox.Create

Constructor for the class instance.

## Declaration

Source position: dbctrls.pp line 775

`public constructor TCustomDBComboBox.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited constructor on entry. Create allocates and configures the internal TFieldDataLink instance used in the control. Its OnDataChange and OnUpdateData event handlers are set to the DataChange and UpdateData methods (respectively). Create sets the value used in ControlStyle.

## See also

TCustomDBComboBox.DataChange |  | DataChange - updates any changes in text.
TCustomDBComboBox.UpdateData |  | UpdateData - implements any pending changes in the data.
TFieldDataLink.OnDataChange |  | Event handler signalled when the field data link has been changed.
TFieldDataLink.OnUpdateData |  | OnUpdateData - event handler for updating any pending changes in the data.
TControl.ControlStyle |  | Contains style flags which control the features or behaviors enabled for the control.